/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 字典管理Entity
 * @author 马鹏波
 * @version 2018-05-30
 */
public class MainDict extends DataEntity<MainDict> {
	
	private static final long serialVersionUID = 1L;
	private String typeNumber;		// 类型编号
	private String typeName;		// 类型名称
	private String treeSort;		// 是否树状排序
	private String typeSort;		// 类型排序
	private String dictType;		//类型
	private String name;
	private String company;

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	private Office office;
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public MainDict() {
		super();
	}

	public MainDict(String id){
		super(id);
	}

	@ExcelField(title="类型编号", align=2, sort=7)
	public String getTypeNumber() {
		return typeNumber;
	}

	public void setTypeNumber(String typeNumber) {
		this.typeNumber = typeNumber;
	}
	
	@ExcelField(title="类型名称", align=2, sort=8)
	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	
	@ExcelField(title="是否树状排序", dictType="", align=2, sort=9)
	public String getTreeSort() {
		return treeSort;
	}

	public void setTreeSort(String treeSort) {
		this.treeSort = treeSort;
	}
	
	@ExcelField(title="类型排序", align=2, sort=10)
	public String getTypeSort() {
		return typeSort;
	}

	public void setTypeSort(String typeSort) {
		this.typeSort = typeSort;
	}

	public String getDictType() {
		return dictType;
	}

	public void setDictType(String dictType) {
		this.dictType = dictType;
	}
}